Skip to content

获取证书列表

GET
/openapi/v3/certs

分页获取证书列表。

查询参数

参数类型必填说明
pageint页码,默认 1
page_sizeint每页数量,默认 10,最大 100

响应字段

参数类型说明
certscertificate array证书对象列表,具体字段见获取证书详情
totalint证书总个数

请求示例

bash
curl -X GET 'https://api.certcloud.cn/openapi/v3/certs?page=1&page_size=20' \
  -H 'X-CC-Auth-Key: your-auth-key' \
  -H 'X-CC-Key-ID: your-key-id'

响应示例

200成功
json
{
  "code": "success",
  "data": {
    "total": 50,
    "certs": [
      {
        "id": "cert-xxx",
        "common_name": "example.com",
        "dns_names": ["example.com", "www.example.com"],
        "thumbprint": "A1B2C3...",
        "pem": "-----BEGIN CERTIFICATE-----...",
        "not_before": "2024-01-01 00:00:00",
        "not_after": "2025-01-01 00:00:00",
        "ica_pem": "-----BEGIN CERTIFICATE-----...",
        "created_at": "2024-01-01 00:00:00",
        "revoked": false,
        "status": 1,
        "issuer": "TrustAsia RSA DV TLS CA",
        "brand": "TrustAsia",
        "audit_type": "DV",
        "cross_chain": 0,
        "chain_id": 0,
        "validity_days": 365
      }
    ]
  }
}